package com.neusoft.smart.pos.exchangeStrategy.persistent.domain;

import java.io.Serializable;

public class ExchangeStrategyTypeDict implements Serializable {
    private Integer strategyTypeId;

    private String strategyName;

    private String description;

    private String strategyBeanName;

    private String paramList;

    private static final long serialVersionUID = 1L;

    public Integer getStrategyTypeId() {
        return strategyTypeId;
    }

    public void setStrategyTypeId(Integer strategyTypeId) {
        this.strategyTypeId = strategyTypeId;
    }

    public String getStrategyName() {
        return strategyName;
    }

    public void setStrategyName(String strategyName) {
        this.strategyName = strategyName == null ? null : strategyName.trim();
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    public String getStrategyBeanName() {
        return strategyBeanName;
    }

    public void setStrategyBeanName(String strategyBeanName) {
        this.strategyBeanName = strategyBeanName == null ? null : strategyBeanName.trim();
    }

    public String getParamList() {
        return paramList;
    }

    public void setParamList(String paramList) {
        this.paramList = paramList == null ? null : paramList.trim();
    }
}